events.listen('recipes', function (e) {
	
	e.shaped('customquests:item_questing_device', ['BA'], {B: 'minecraft:book', A: 'minecraft:apple'})
	e.shaped(item.of('usefulfoundation:copper_ingot', 6), ['EEE','E E','EEE'], {E: 'mysticalagriculture:copper_essence'})
	e.shapeless('minecraft:grass_block', ['#forge:dirt', '#minecraft:saplings'])
	
})